spice 0.12.8-2.2ubuntu0.1 source package in Ubuntu

Changelog

spice (0.12.8-2.2ubuntu0.1) artful-security; urgency=medium

  * SECURITY UPDATE: Integer overflow and buffer overflow
    - debian/patches/CVE-2017-12194-1.patch: fix a integer overflow
      computing sizes in spice-common/python_modules/demarshal.py.
    - debian/patches/CVE-2017-12194-2.patch: avoid integer overflow
      in spice-common/python_modules/demarshal.py,
      spice-common/python_modules/marshal.py.
    - debian/patches/CVE-2017-12194-3.patch: add tests to verify fix.
    - CVE-2017-12194

 -- <email address hidden> (Leonidas S. Barbosa)  Tue, 22 May 2018 13:46:36 -0300

Upload details

Uploaded by:
Leonidas S. Barbosa on 2018-05-22
Uploaded to:
Artful
Original maintainer:
Ubuntu Developers
Architectures:
alpha amd64 arm64 armel armhf i386 mips64el mipsel ppc64el sh4 x32
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
spice_0.12.8.orig.tar.bz2 1.2 MiB f901a5c5873d61acac84642f9eea5c4d6386fc3e525c2b68792322794e1c407d
spice_0.12.8-2.2ubuntu0.1.debian.tar.xz 15.3 KiB 64e23586c71f72c761504e4af69237a67691818f7bdecc98d3bb6a2207f2f933
spice_0.12.8-2.2ubuntu0.1.dsc 2.4 KiB eac738a224807ad477562be6c02edddbaf8099dbb61518ce27dd4c8cc6a4b4ac

View changes file

Binary packages built by this source

libspice-server-dev: No summary available for libspice-server-dev in ubuntu artful.

No description available for libspice-server-dev in ubuntu artful.

libspice-server1: No summary available for libspice-server1 in ubuntu artful.

No description available for libspice-server1 in ubuntu artful.

libspice-server1-dbgsym: No summary available for libspice-server1-dbgsym in ubuntu artful.

No description available for libspice-server1-dbgsym in ubuntu artful.